VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Constants"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
' Copyright (C) 2003  Alex K. Angelopoulos, aka@mvps.org
'
' This library is free software; you can redistribute it and/or
' modify it under the terms of the GNU Lesser General Public
' License as published by the Free Software Foundation; either
' version 2.1 of the License, or (at your option) any later version.
'
' This library is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
' Lesser General Public License for more details.
'
' You should have received a copy of the GNU Lesser General Public
' License along with this library; if not, write to the
' Free Software Foundation, Inc.
' 59 Temple Place, Suite 330
' Boston, MA  02111-1307  USA
'


Option Explicit

'Private m_GslMachine As GslMachineConstants

Public Property Get atomicMassUnit() As Double
  atomicMassUnit = 1.660565586E-27
End Property


Public Property Get AvogadroNumber() As Double
  AvogadroNumber = 6.02204631E+23
End Property


Public Property Get BohrMagneton() As Double
  BohrMagneton = 9.27407836E-24
End Property


Public Property Get BohrRadius() As Double
  BohrRadius = 5.291770644E-11
End Property


Public Property Get BoltzmannConstant() As Double
  BoltzmannConstant = 1.38066244E-23
End Property


Public Property Get ComptonWavelength() As Double
  ComptonWavelength = 2.42630894E-12
End Property


Public Property Get div1_pi() As Double
  div1_pi = 0.318309886183791 ' 1/pi
End Property


Public Property Get div2_pi() As Double
  div2_pi = 0.636619772367581 ' 2/pi
End Property


Public Property Get div2_sqrtpi() As Double
  div2_sqrtpi = 1.12837916709551 ' 2/sqrt(pi)
End Property


Public Property Get e() As Double
  e = 2.71828182845905 ' e
End Property


Public Property Get electronCharge() As Double
  electronCharge = 1.602189246E-19
End Property


Public Property Get electronMass() As Double
  electronMass = 9.10953447E-31
End Property


Public Property Get euler() As Double
  euler = 0.577215664901533 ' euler constant
End Property


Public Property Get gasConstant() As Double
  gasConstant = 8.3144126
End Property


Public Property Get gravitationAcceleration() As Double
  gravitationAcceleration = 9.80665 'm/s2
End Property


Public Property Get gravitationalConstant() As Double
  gravitationalConstant = 0.00000000006672
End Property


Public Property Get lightSpeedVacuum() As Double
  lightSpeedVacuum = 299792458#
End Property


Public Property Get ln10() As Double
  ln10 = 2.30258509299405 ' ln(10)
End Property


Public Property Get ln2() As Double
  ln2 = 0.693147180559945 ' ln(2)
End Property


Public Property Get lnpi() As Double
  lnpi = 1.1447298858494 ' ln(pi)
End Property


Public Property Get log10e() As Double
  log10e = 0.434294481903252 ' log_10 (e)
End Property


Public Property Get log2e() As Double
  log2e = 1.44269504088896 ' log_2 (e)
End Property


Public Property Get massDeuteron() As Double
  massDeuteron = 3.343637E-27
End Property


Public Property Get neutronMass() As Double
  neutronMass = 1.674954386E-27
End Property


Public Property Get nuclearMagneton() As Double
  nuclearMagneton = 5.0508242E-27
End Property


Public Property Get Pi() As Double
  Pi = 3.14159265358979
End Property


Public Property Get pi_2() As Double
  pi_2 = 1.5707963267949 ' pi/2
End Property


Public Property Get pi_4() As Double
  pi_4 = 0.785398163397448 ' pi/4
End Property


Public Property Get PlanckConstant() As Double
  PlanckConstant = 6.62617636E-34
End Property


Public Property Get protonMass() As Double
  protonMass = 1.672648586E-27
End Property


Public Property Get rho0() As Double
  rho0 = 1.2928 'kg/m3 - Density of air at 0 deg C
End Property


Public Property Get rho15() As Double
  rho15 = 1.2256 'kg/m3 - Density of air at 15 deg C
End Property


Public Property Get RydbergConstant() As Double
  RydbergConstant = 10973731.7783
End Property


Public Property Get sqrt1_2() As Double
  sqrt1_2 = 0.707106781186548 ' sqrt(1/2)
End Property


Public Property Get sqrt2() As Double
  sqrt2 = 1.4142135623731 ' sqrt(2)
End Property


Public Property Get sqrt3() As Double
  sqrt3 = 1.73205080756888 ' sqrt(3)
End Property


Public Property Get sqrtpi() As Double
  sqrtpi = 1.77245385090552 ' sqrt(pi)
End Property

Public Property Get GslMachine() As GslMachineConstants
  Set GslMachine = New GslMachineConstants
End Property

Public Property Get CgsUnits() As CgsConstants
  CgsUnits = New CgsConstants
End Property


Public Property Get MksUnits() As MksConstants
  MksUnits = New MksConstants
End Property


Public Property Get Mathematical() As MathConstants
  Mathematical = New MathConstants
End Property

Public Property Get Numerical() As NumConstants
  Numerical = New NumConstants
End Property

