VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Element"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Attribute VB_Description = "Container for element attributes"
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
'set this to 0 to disable debug code in this class
#Const DebugMode = 1


#If DebugMode Then
    'local variable to hold the serialized class ID that was created in Class_Initialize
    Private mlClassDebugID As Long
#End If
Public Key As String
'local variable(s) to hold property value(s)
Private m_AtomicWeight As Variant 'local copy
Private m_ElementName As Variant 'local copy
Private m_Abbreviation As Variant 'local copy
Public Property Let Abbreviation(ByVal vData As Variant)
Attribute Abbreviation.VB_Description = "Standard abbreviation name for the element"
    m_Abbreviation = vData



End Property


Public Property Set Abbreviation(ByVal vData As Variant)
    Set m_Abbreviation = vData



End Property


Public Property Get Abbreviation() As Variant
    If IsObject(m_Abbreviation) Then
        Set Abbreviation = m_Abbreviation
    Else
        Abbreviation = m_Abbreviation
    End If



End Property



Public Property Let ElementName(ByVal vData As Variant)
Attribute ElementName.VB_Description = "Popular element name"
    m_ElementName = vData



End Property


Public Property Set ElementName(ByVal vData As Variant)
    Set m_ElementName = vData



End Property


Public Property Get ElementName() As Variant
    If IsObject(m_ElementName) Then
        Set ElementName = m_ElementName
    Else
        ElementName = m_ElementName
    End If



End Property



Public Property Let AtomicWeight(ByVal vData As Variant)
Attribute AtomicWeight.VB_Description = "Weight of the element in atomic mass units"
    m_AtomicWeight = vData



End Property


Public Property Set AtomicWeight(ByVal vData As Variant)
    Set m_AtomicWeight = vData



End Property


Public Property Get AtomicWeight() As Variant
    If IsObject(m_AtomicWeight) Then
        Set AtomicWeight = m_AtomicWeight
    Else
        AtomicWeight = m_AtomicWeight
    End If

End Property






Private Sub Class_Terminate()
    'the class is being destroyed
End Sub
