'Test of data

dataset = Split(ReadFile("C:\Downloads\stats\datasets\Lew.dat"), vbCrLf)

set stats = CreateObject("WshX.Statistics")

'dataset = Split(ReadFile("C:\data\book\math\michelson.data"), vbCrLf)
'dataset = Split(ReadFile("C:\data\book\math\Lottery.dat"), vbCrLf)
for i = 0 to ubound(dataset)
	dataset(i) = Trim(dataset(i))
	if i<58 then
		if len(dataset(i))>0 then WScript.Echo dataset(i)
		dataset(i) = Chr(0)
	end if
	if len(dataset(i)) = 0 then dataset(i) = Chr(0)
next

' kill the header lines
	dataset(58) = Chr(0)
	dataset(59) = Chr(0)

dataset = Join(filter(dataset, Chr(0), False), vbCr)
dataset = Split(Replace(dataset, " ", ""), vbCr)
WScript.Echo ""
WScript.Echo " ==== END OF NIST HEADER ===="
WScript.Echo ""
WScript.Echo ""

stats.dataSet = dataset
stats.Analyze

WScript.Echo "Sample Mean:", stats.Mean
WScript.Echo "Sample Standard Deviation:", stats.Sigma
WScript.Echo "Sample Count:", stats.Count
WScript.Echo "Sample Skewness:", stats.Skewness
WScript.Echo "Sample Kurtosis:", stats.Kurtosis
WScript.Echo "Sample Range:", stats.Range
'WScript.Echo "Sample :", stats.
'WScript.Echo "Sample :", stats.


Function ReadFile(FilePath)
	'Given the path to a file, will return entire contents
	' works with either ANSI or Unicode
	Dim FSO, CurrentFile
	Const ForReading = 1, TristateUseDefault = -2, _
	DoNotCreateFile = False
	Set FSO = createobject("Scripting.FileSystemObject")
	If FSO.FileExists(FilePath) Then
		If FSO.GetFile(FilePath).Size>0 Then
			Set CurrentFile = FSO.OpenTextFile(FilePath, ForReading, _
			False, TristateUseDefault)
			If CurrentFile.AtEndOfStream <> True Then
				ReadFile = CurrentFile.ReadAll: CurrentFile.Close
			End If
		End If
	End If
End Function